package com.kiisoo.ic.job;

import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.*;

import java.util.Map;

@Controller
@RequestMapping("/job")
@Slf4j
public class SyncJobController {
    @Autowired
    private CustomerDataJob customerDataJob;

    @GetMapping("/sync/customer")
    public void getCustomerInfo(){
        try {
            customerDataJob.handle();
        }catch (Exception e){
            log.error("",e);
        }
    }
}
